# Gimp.Matrix3

    const Gimp = imports.gi.Gimp;

    let matrix3 = new Gimp.Matrix3({
        coeff: value
    });

A three by three matrix.

## Methods

- Gimp.Matrix3.prototype.affine
- Gimp.Matrix3.prototype.determinant
- Gimp.Matrix3.prototype.equal
- Gimp.Matrix3.prototype.identity
- Gimp.Matrix3.prototype.invert
- Gimp.Matrix3.prototype.is_affine
- Gimp.Matrix3.prototype.is_diagonal
- Gimp.Matrix3.prototype.is_identity
- Gimp.Matrix3.prototype.is_simple
- Gimp.Matrix3.prototype.mult
- Gimp.Matrix3.prototype.rotate
- Gimp.Matrix3.prototype.scale
- Gimp.Matrix3.prototype.transform_point
- Gimp.Matrix3.prototype.translate
- Gimp.Matrix3.prototype.xshear
- Gimp.Matrix3.prototype.yshear

## Fields

- coeff